package com.goldenwater.yjjt.mapper;

import com.goldenwater.yjjt.domain.YjjtSlData;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface YjjtSlDataMapper {

    List<YjjtSlData> selectYjjtSlDataList(YjjtSlData yjjtSlData);

    YjjtSlData selectYjjtSlDataById(Long id);

    int insertYjjtSlData(YjjtSlData yjjtSlData);

    int updateYjjtSlData(YjjtSlData yjjtSlData);

    int deleteYjjtSlDataById(Long id);

    int deleteYjjtSlDataByIds(Long[] ids);

    int countByStcdAndSpt(@Param("stcd") String stcd, @Param("spt") String spt, @Param("addvcd") String addvcd);
}